Progress

Get progress of user in collection-challenges

Get Overall Collections Progress

get

Retrieves the user's progress across all collections

Authorizations
x-gft_api_keystringRequired

API key for authentication (can also use x-gft-api-key or gft-api-key)

Path parameters
platformstringRequired

The platform identifier (e.g., "discord", "roblox")

Example: discord
platformUserIdstringRequired

The user's ID on the specified platform

Example: 123456789012345678
Responses
chevron-right
200

Successful operation

application/json

Represents a collection challenge or program that users can progress through

idstringOptional

Unique identifier for the program

Example: program_123
namestringOptional

Display name of the program

Example: Winter Challenge
imagestring · uriOptional

URL to the program's image (HTTPS format)

Example: https://example.com/images/winter-challenge.png
descriptionstringOptional

Detailed description of the program's theme and objectives

Example: Collect all winter-themed cards
sizeintegerOptional

Total number of cards in this collection/program

Example: 10
progressInPercentageintegerOptional

User's completion percentage for this collection (0-100)

Example: 30
environmentstringOptional

Environment identifier where this program is active

Example: production
createdTimestampintegerOptional

Timestamp (in milliseconds) when the program was created

Example: 1644825600000
timeLeftintegerOptional

Time remaining in milliseconds until the program ends (not applicable if duration.end is null)

Example: 604800000
statusstring · enumOptional

Current status of the program

Example: in_progressPossible values:
collectedCountintegerOptional

Number of cards the user has collected from this program

Example: 3
get
/users/{platform}/{platformUserId}/progress/collection-challenges

Get One Collection Progress

get

Retrieves the user's progress for a specific collection

Authorizations
x-gft_api_keystringRequired

API key for authentication (can also use x-gft-api-key or gft-api-key)

Path parameters
platformstringRequired

The platform identifier (e.g., "discord", "roblox")

Example: discord
platformUserIdstringRequired

The user's ID on the specified platform

Example: 123456789012345678
programIdstringRequired

The unique identifier for the program/collection

Example: program_123
Responses
chevron-right
200

Successful operation

application/json

Represents a collection challenge or program that users can progress through

idstringOptional

Unique identifier for the program

Example: program_123
namestringOptional

Display name of the program

Example: Winter Challenge
imagestring · uriOptional

URL to the program's image (HTTPS format)

Example: https://example.com/images/winter-challenge.png
descriptionstringOptional

Detailed description of the program's theme and objectives

Example: Collect all winter-themed cards
sizeintegerOptional

Total number of cards in this collection/program

Example: 10
progressInPercentageintegerOptional

User's completion percentage for this collection (0-100)

Example: 30
environmentstringOptional

Environment identifier where this program is active

Example: production
createdTimestampintegerOptional

Timestamp (in milliseconds) when the program was created

Example: 1644825600000
timeLeftintegerOptional

Time remaining in milliseconds until the program ends (not applicable if duration.end is null)

Example: 604800000
statusstring · enumOptional

Current status of the program

Example: in_progressPossible values:
collectedCountintegerOptional

Number of cards the user has collected from this program

Example: 3
get
/users/{platform}/{platformUserId}/progress/collection-challenges/{programId}

Last updated